local Grid2StatusGroupOptions = {}
Grid2Options.plugins["Grid2StatusGroupOptions"] = Grid2StatusGroupOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")
local DBL = LibStub:GetLibrary("LibDBLayers-1.0")

local function MakeStatusGroupOptions(self, status, options, optionParams)
	options = options or {}

	options = Grid2Options:MakeStatusStandardOptions(status, options, optionParams)
	options = Grid2Options:MakeStatusOpacityOptions(status, options, optionParams)

	return options
end

function Grid2StatusGroupOptions.UpgradeDefaults(dblData)
	local versionsSrc = dblData.versionsSrc

	if (versionsSrc.Grid2StatusGroupOptions < 1) then
		DBL:SetupLayerObject(dblData, "locations", "account", "side-right-top", {relIndicator = nil, point = "BOTTOMRIGHT", relPoint = "RIGHT", x = -1, y = -2, name = "side-right-top"})
		DBL:SetupLayerObject(dblData, "locations", "account", "side-right-bottom", {relIndicator = nil, point = "TOPRIGHT", relPoint = "RIGHT", x = -1, y = 2, name = "side-right-bottom"})

		DBL:SetupLayerObject(dblData, "indicators", "account", "icon-side-right-top", {type = "icon", level = 8, location = "side-right-top", iconSize = 10, fontSize = 8,})

		DBL:SetupLayerObject(dblData, "statuses", "account", "leader", {type = "leader", color1 = {r=0,g=.71,b=1,a=1}})
		DBL:SetupLayerObject(dblData, "statuses", "account", "raid-assistant", {type = "raid-assistant", color1 = {r=1,g=.24,b=.168,a=1}})
		DBL:SetupLayerObject(dblData, "statuses", "account", "master-looter", {type = "master-looter", color1 = {r=.98,g=.57,b=0,a=1}})
		
		DBL:SetupMapObject(dblData, "statusMap", "account", "icon-side-right-top", "leader", 39)
		DBL:SetupMapObject(dblData, "statusMap", "account", "icon-side-right-top", "raid-assistant", 37)
		DBL:SetupMapObject(dblData, "statusMap", "account", "icon-side-right-top", "master-looter", 35)
		versionsSrc.Grid2StatusGroupOptions = 1
	end
end

local prev_MakeStatusOptions = Grid2Options.MakeStatusOptions
function Grid2Options:MakeStatusOptions(dblData, reset, ...)
	self:AddOptionHandler("leader", MakeStatusGroupOptions)
	self:AddOptionHandler("raid-assistant", MakeStatusGroupOptions)
	self:AddOptionHandler("master-looter", MakeStatusGroupOptions)

	prev_MakeStatusOptions(self, dblData, reset, ...)
end



